#pragma once

#include "CoreMinimal.h"
#include "BhvrFlowNode.h"
#include "BhvrGetCommandlineParamValueDelegate.h"
#include "BhvrFlowNode_GetCommandlineParamValue.generated.h"

UCLASS(Blueprintable)
class BHVRFLOW_API UBhvrFlowNode_GetCommandlineParamValue : public UBhvrFlowNode
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, BlueprintAssignable)
	FBhvrGetCommandlineParamValueDelegate Then;

public:
	UFUNCTION(BlueprintCallable)
	void Get(const FString& ParamName);

public:
	UBhvrFlowNode_GetCommandlineParamValue();
};

FORCEINLINE uint32 GetTypeHash(const UBhvrFlowNode_GetCommandlineParamValue) { return 0; }
